Add the "Max. items to show" drop-down menu to "Shared with me"

Bug #1409369 reported by Kristina Hoeppner on 2015-01-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Patrick O'Keeffe

Bug Description

The page "Shared with me" /view/sharedviews.php should also get the drop-down menu from which users can choose how many items to display on the page.

Changed in mahara:
assignee: nobody → Patrick O'Keeffe (patrickoke)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/4173
Committed: http://gitorious.org/mahara/mahara/commit/8d56c77c0a0893964d9e816d8b398627d81fb56a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8d56c77c0a0893964d9e816d8b398627d81fb56a
Author: Patrick O'Keeffe <email address hidden>
Date: Wed Jan 14 14:05:38 2015 +1300

Item limit control on "shared with me" (bug 1409369)

Change-Id: I6f8f5c5292f8c2df39b198d56f6fd9ecdfb58c71

Robert Lyon (robertl-9) on 2015-01-14
Changed in mahara:
status: In Progress → Fix Committed
milestone: none → 15.04.0
Son Nguyen (ngson2000) wrote :

The patch https://reviews.mahara.org/4199 will add a behat test for this bug

Reviewed: https://reviews.mahara.org/4199
Committed: http://gitorious.org/mahara/mahara/commit/d9f7b6ea77d951f8b2569750314d2c06ba4294eb
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit d9f7b6ea77d951f8b2569750314d2c06ba4294eb
Author: Patrick O'Keeffe <email address hidden>
Date: Fri Jan 16 15:18:48 2015 +1300

Test for item limit per page (bug 1409369)

Change-Id: If652fb1f41046e3d00e32edc6635abd866f8a9a9

tags: added: nominatedfeature

Reviewed: https://reviews.mahara.org/4290
Committed: http://gitorious.org/mahara/mahara/commit/66211818a0ca8b510510632e1e23c52e0a7cb84e
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 66211818a0ca8b510510632e1e23c52e0a7cb84e
Author: Son Nguyen <email address hidden>
Date: Wed Feb 18 08:30:30 2015 +1300

Add the step "I wait until the page is ready". Bug 1409369

As changing the page limit will update the page using ajax,
we need to add this step to make sure the page is completely loaded
before checking its content.

Change-Id: Ie3750d2870ccaa5c5e9e467d9316e76f84fedfed

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
tags: added: behat has-behat
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers